Share feedback
Answers are generated based on the documentation.

Get organization settings

GET/v2/orgs/{name}/settings
Returns organization settings by name.

Connection and access

API connection and authentication guidance

https://hub.docker.com — Docker HUB API

Use one of these alternatives. Requirements within an alternative apply together.

  • bearerAuth

Parameters

name path Required

Name of the organization.

Type: string

All schema constraints and annotations
{
  "type": "string"
}

Request and responses

Response 200

OK

application/json

Schema: orgSettings

Schema example

{
  "restricted_images": {
    "allow_official_images": true,
    "allow_verified_publishers": true,
    "enabled": true
  }
}

Response 401

Unauthorized

application/json

Schema: error

error

{
  "errinfo": null,
  "message": "unauthorized"
}

Response 403

Forbidden

application/json

Schema: error

error

{
  "errinfo": null,
  "message": "permission denied"
}

Response 404

Not Found

application/json

Schema: error

error

{
  "errinfo": null,
  "message": "not found"
}

Referenced schemas

#/components/schemas/orgSettings

Complete operation contract
{
  "description": "Returns organization settings by name.\n",
  "operationId": "getV2OrgsByNameSettings",
  "responses": {
    "200": {
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/orgSettings"
          }
        }
      },
      "description": "OK"
    },
    "401": {
      "$ref": "#/components/responses/Unauthorized"
    },
    "403": {
      "$ref": "#/components/responses/Forbidden"
    },
    "404": {
      "$ref": "#/components/responses/NotFound"
    }
  },
  "security": [
    {
      "bearerAuth": []
    }
  ],
  "summary": "Get organization settings",
  "tags": [
    "org-settings"
  ]
}